// PWM
int pwmL = 0;
int pwmR = 0;

// Motor Pins
int LF = 5;
int LR = 6;
int RF = 10;
int RR = 11;

// set point
double distance = 0;

void InitMotors(){
  pinMode(LF, OUTPUT);
  pinMode(LR, OUTPUT);  
  pinMode(RF, OUTPUT);  
  pinMode(RR, OUTPUT); 
}


void MotorControl(double out){
  byte pwmL = abs(out);    // Absolute value of velocity
  byte pwmR = abs(out);
  
  // Checks velocity fits the max ouptut range
  // Left side
  if (pwmL<0)
    pwmL=0;
  if (pwmL > 255)
    pwmL=255;
  // Right side
  if (pwmR<0)
    pwmR=0;
  if (pwmR > 255)
    pwmR=255;
    
  // Sets direction
  if (out > 0){              // forward
    digitalWrite(LF,HIGH);
    digitalWrite(LR,LOW);
    digitalWrite(RF,LOW);
    digitalWrite(RR,HIGH);
  }else{                     // backward
    digitalWrite(LF,LOW);
    digitalWrite(LR,HIGH);
    digitalWrite(RF,HIGH);
    digitalWrite(RR,LOW);
  }
  // Writes the PWM 
  analogWrite(enablea,vel);
  analogWrite(enableb,vel);
  
}
